|  | Home · All Classes · Modules

# QGraphicsEffect.ChangeFlags Class Reference
[QtGui module]

### Methods

- __init__ (self, ChangeFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- ChangeFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, ChangeFlags f)
- ChangeFlags __iand__ (self, int mask)
- int __int__ (self)
- ChangeFlags __invert__ (self)
- ChangeFlags __ior__ (self, ChangeFlags f)
- ChangeFlags __ixor__ (self, ChangeFlags f)
- bool __ne__ (self, ChangeFlags f)
- ChangeFlags __or__ (self, ChangeFlags f)
- ChangeFlags __xor__ (self, ChangeFlags f)

## Detailed Description

## Method Documentation

### ChangeFlags.__init__ (self, ChangeFlags)

### ChangeFlags.__init__ (self, int)

### ChangeFlags.__init__ (self)

### ChangeFlags ChangeFlags.__and__ (self, int mask)

### int ChangeFlags.__bool__ (self)

### bool ChangeFlags.__eq__ (self, ChangeFlags f)

### ChangeFlags ChangeFlags.__iand__ (self, int mask)

### int ChangeFlags.__int__ (self)

### ChangeFlags ChangeFlags.__invert__ (self)

### ChangeFlags ChangeFlags.__ior__ (self, ChangeFlags f)

### ChangeFlags ChangeFlags.__ixor__ (self, ChangeFlags f)

### bool ChangeFlags.__ne__ (self, ChangeFlags f)

### ChangeFlags ChangeFlags.__or__ (self, ChangeFlags f)

### ChangeFlags ChangeFlags.__xor__ (self, ChangeFlags f)